version 10
capture log close
log using 03_rob, replace
clear
use political_risk_91-05.dta
set more off

foreach num of numlist 15 30 {

* I
regress dlogdaxvola`num' pcdufdp entropy coal_form incumbcdu dubratcdu inccduXdubratcdu grand_coal dlinflation dlinflationXincumbcdu dubratcduXdlinfXincdu dlinterestrate dlgdppc dubratcduXdlinflation, robust 

newey dlogdaxvola`num' pcdufdp entropy coal_form incumbcdu dubratcdu inccduXdubratcdu grand_coal dlinflation dlinflationXincumbcdu dubratcduXdlinfXincdu dlinterestrate dlgdppc dubratcduXdlinflation, lag(`num')

glm dlogdaxvola`num' pcdufdp entropy coal_form incumbcdu dubratcdu inccduXdubratcdu grand_coal dlinflation dlinflationXincumbcdu dubratcduXdlinfXincdu dlinterestrate dlgdppc dubratcduXdlinflation, family(gaussian) link(identity) vce(hac nwest) t(count) irls

* II
regress dlogdaxvola`num' pcdufdp entropy coal_form incumbcdu dubratcdu inccduXdubratcdu grand_coal callearly05 call_noconfid05 voteofconfid05 noconfid_decision_05 const_compl_05 riot_92 riot_95 strike_95 right_wing_attack dlinflation dlinflationXincumbcdu bratcduXdlinfXincdu dlinterestrate dlgdppc desaster attack_wtc_93 attack_wtc_01 kosovo_war_99 afgh_war_99 iraq_war_03 ems_crisis92 dubratcduXdlinflation

newey dlogdaxvola`num' pcdufdp entropy coal_form incumbcdu dubratcdu inccduXdubratcdu grand_coal callearly05 call_noconfid05 voteofconfid05 noconfid_decision_05 const_compl_05 riot_92 riot_95 strike_95 right_wing_attack dlinflation dlinflationXincumbcdu bratcduXdlinfXincdu dlinterestrate dlgdppc desaster attack_wtc_93 attack_wtc_01 kosovo_war_99 afgh_war_99 iraq_war_03 ems_crisis92 dubratcduXdlinflation, lag(`num')
}

log close
clear 
exit


